Subject: Re: bug#9875: 24.0.90; Confusing description of the "window tree" in ELisp manual

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Oct 2011 18:21:01 -0400

>> I think the first step is to choose a single name for those, and then
>> use it systematically.  I think we should simply call "window" the
>> traditional "real" "live" "leaf" windows that display a buffer.  As for
>> the other ones, we could go for "internal window", but I think "parent
>> window" is better, tho maybe someone has a better idea ("compound
>> window", "super window", ... ?)

> How about "window tree node" or just "node"?

Just "node" is much too vague for my taste.  "Window tree node" is a bit
better but doesn't make it clear it's not a leaf and is a window object.
For that reason I prefer "window parent".

> That's what they are, right?

They aren't just "node" (i.e. some intermediate element pointing to
others), they have most properties of windows, such as sizes and
positions (tho they don't display any buffer).

        Stefan